Summary:	"libpwrite" Network Routine Library
Name:		libnet
Version:	1.1.2.1
Release:	3tr
License:	BSD
Group:		Trustix Official
Source0:	http://www.packetfactory.net/libnet/dist/libnet-%{version}.tar.gz
Patch0:		%{name}-shared.patch
Patch1:		%{name}-install-libnet-config.patch
URL:		http://www.packetfactory.net/libnet/
BuildRequires:	autoconf, automake, libpcap, libtool
BuildRoot:	%{_tmppath}/%{name}-root

%description
The Network Library provides a simple API for commonly used low-level
network functions (mainly packet injection). Using libnet, it is easy
to build and write arbitrary network packets. It provides a portable
framework for low-level network packet writing and handling (use
libnet in conjunction with libpcap and you can write some really cool
stuff). Libnet includes packet creation at the IP layer and at the
link layer as well as a host of supplementary and complementary
functionality.

%package devel
Summary:	Header files and develpment documentation for libnet
Group:		Trustix Official
Requires:	%{name} = %{version}-%{release}


%description devel
Header files and develpment documentation for libnet.

%prep
%setup -q -n libnet
%patch0 -p1
%patch1 -p1
rm -rf autom4te.cache

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--with-pf_packet=yes
%{__make}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAN_PREFIX=%{_mandir}/man3

install -m 644 doc/man/man3/libnet-functions.h.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{BUGS,CHANGELOG}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/{CONTRIB,DESIGN_NOTES,MIGRATION,PACKET_BUILDING,RAWSOCKET_NON_SEQUITUR,TODO}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_includedir}/libnet
%{_mandir}/man*/*

%changelog
* Wed Apr 25 2007 Nived Gopalan <nived at trustix dot org> 1.1.2.1-3tr
- Ported to TSL-2.2 official repository.

* Mon Oct 11 2004 Syed Shabir <syedshabir at comodo dot com> 
- Initial Package for TSL 2.2
